## django-nose 1.4.3

=== Makefile ===
.PHONY: clean clean-build clean-pyc clean-test docs qa lint coverage jslint qa-all install-jslint test test-all coverage-console release sdist

help:
	@echo "clean - remove all artifacts"
	@echo "clean-build - remove build artifacts"
	@echo "clean-pyc - remove Python file artifacts"
	@echo "clean-test - remove test and coverage artifacts"
	@echo "coverage - check code coverage quickly with the default Python"
	@echo "docs - generate Sphinx HTML documentation"
	@echo "lint - check style with flake8"
	@echo "qa - run linters and test coverage"
	@echo "qa-all - run QA plus tox and packaging"
	@echo "release - package and upload a release"
	@echo "sdist - package"
	@echo "test - run tests quickly with the default Python"
	@echo "test-all - run tests on every Python version with tox"
	@echo "test-release - upload a release to the PyPI test server"

clean: clean-build clean-pyc clean-test

qa: lint coverage

qa-all: qa sdist test-all

clean-build:
	rm -fr build/
	rm -fr dist/
	rm -fr *.egg-info

clean-pyc:
	find . -name '*.pyc' -exec rm -f {} +
	find . -name '*.pyo' -exec rm -f {} +
	find . -name '*~' -exec rm -f {} +
	find . -name '__pycache__' -exec rm -fr {} +

clean-test:
	rm -fr .tox/
	rm -f .coverage
	rm -fr htmlcov/

docs:
	$(MAKE) -C docs clean
	$(MAKE) -C docs html
	open docs/_build/html/index.html

lint:
	flake8 .

test:
	./manage.py test

test-all:
	tox --skip-missing-interpreters

coverage-console:
	coverage erase
	COVERAGE=1 ./runtests.sh
	coverage combine
	coverage report -m

coverage: coverage-console
	coverage html
	open htmlcov/index.html

release: clean
	python setup.py sdist bdist_wheel upload
	python -m webbrowser -n https://testpypi.python.org/pypi/django-nose

test-release:
	python setup.py register -r https://testpypi.python.org/pypi
	python setup.py sdist bdist_wheel upload -r https://testpypi.python.org/pypi
	python -m webbrowser -n https://testpypi.python.org/pypi/django-nose

sdist: clean
	python setup.py sdist
	ls -l dist
	check-manifest
	pyroma dist/`ls -t dist | head -n1`

=== requirements.txt ===
#
# Requirements for running django-nose testapp
#

# Latest Django
Django==1.8.5

# This project
-e .

# Load database config from environment
dj-database-url==0.3.0

# Packaging
wheel==0.26.0

# PEP8, PEP257, and static analysis
mccabe==0.3.1
pep8==1.6.2
pyflakes==1.0.0
flake8==2.5.0
pep257==0.7.0
flake8-docstrings==0.2.1

# Code coverage
coverage==4.0

# Documentation
Pygments==2.0.2
Sphinx==1.3.1
docutils==0.12

# Packaging Linters
check-manifest==0.25
pyroma==1.8.2

# Multi-env test runner
virtualenv==13.1.2
py==1.4.30
tox==2.1.1

# Better interactive debugging
gnureadline==6.3.3
ipython==4.0.0
ipdb==0.8.1
ipdbplugin==1.4.2

## django-nose 0.1

=== debian/changelog ===
django-nose (0.1-1) unstable; urgency=low

  * Initial release (Closes: #584106)

 -- Fladischer Michael <FladischerMichael@fladi.at>  Wed, 16 Jun 2010 13:15:15 +0200

=== debian/control ===
Source: django-nose
Section: python
Priority: optional
Maintainer: Fladischer Michael <FladischerMichael@fladi.at>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 7.0.50~), python-all (>= 2.5), python-support, 
 python-setuptools, python-django, python-nose
Standards-Version: 3.8.4
Homepage: http://pypi.python.org/pypi/django-nose/
Vcs-Svn: svn://svn.debian.org/python-modules/packages/django-nose/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/django-nose/trunk/

Package: python-django-nose
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-django, python-nose
Description: Django test runner that uses python-nose
 python-django-nose integrates python-nose into Django test runner by 
 extending the Django management CLI with nose-related options.

## django-nose 0.1.2

=== debian/changelog ===
django-nose (0.1.2-2) unstable; urgency=low

  * Upload to unstable.
  * Update DEP5 format.
  * Set PMPT as maintainer and myself as uploader.
  * Provide a more verbose long description.
  * Drop debian/pyversions in favour of XS-Python-Version.

 -- Fladischer Michael <FladischerMichael@fladi.at>  Mon, 07 Feb 2011 14:17:27 +0100

django-nose (0.1.2-1) experimental; urgency=low

  * New upstream release.
  * Update to Debian policy 3.9.1.
  * Drop do_not_install_testapp patch as it has been integrated by
    upstream.
  * Update copyright year.

 -- Fladischer Michael <FladischerMichael@fladi.at>  Fri, 03 Dec 2010 00:41:23 +0100

=== debian/control ===
Source: django-nose
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Fladischer Michael <FladischerMichael@fladi.at>
Build-Depends: debhelper (>= 7.0.50~), python-all (>= 2.5), python-support,
 python-setuptools, python-django, python-nose
Standards-Version: 3.9.1
XS-Python-Version: >= 2.5
Homepage: http://pypi.python.org/pypi/django-nose/
Vcs-Svn: svn://svn.debian.org/python-modules/packages/django-nose/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/django-nose/trunk/

Package: python-django-nose
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-django, python-nose
Description: Django test runner that uses python-nose
 python-django-nose integrates python-nose into Django test runner by 
 extending the Django management CLI with nose-related options.
 Those options are targeted at running nose tests directly from within the
 Django management system (e.g. django-admin).

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh  $@

.PHONY: override_dh_auto_test
override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	set -e; \
	for python in $(shell pyversions -r); do \
	  $$python /usr/bin/django-admin test --settings=testapp.settings --pythonpath=. ; \
	done
endif

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/d/django-nose/django-nose-(.*)\.tar\.gz

## django-nose 0.1.3

=== debian/changelog ===
django-nose (0.1.3-1) unstable; urgency=low

  * New upstream release.
  * Bump standards version to 3.9.2 (no change).
  * Use wrap-and-sort on debian/*.
  * Bump python-django dependency to (>= 1.2).
  * Temporary fix for Metadata-Version in PKG-INFO (see #645125).
  * Use http://githubredir.debian.net in d/watch to get clean tarball.
  * Use runtests.sh provided by upstream to run all tests.
  * Add python-django-south to Build-Depends to be able to run all
    tests.
  * Add patch for runtests.sh to enable the use of non-default python
    versions for running the tests.

 -- Fladischer Michael <FladischerMichael@fladi.at>  Sat, 26 Nov 2011 13:55:48 +0100

=== debian/control ===
Source: django-nose
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Fladischer Michael <FladischerMichael@fladi.at>
Build-Depends: debhelper (>= 7.0.50~),
               python-all (>= 2.5),
               python-django (>= 1.2),
               python-django-south,
               python-nose,
               python-setuptools,
               python-support
Standards-Version: 3.9.2
XS-Python-Version: >= 2.5
Homepage: http://pypi.python.org/pypi/django-nose/
Vcs-Svn: svn://svn.debian.org/python-modules/packages/django-nose/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/django-nose/trunk/

Package: python-django-nose
Architecture: all
Depends: python-django (>= 1.2), python-nose, ${misc:Depends}, ${python:Depends}
Description: Django test runner that uses python-nose
 python-django-nose integrates python-nose into Django test runner by
 extending the Django management CLI with nose-related options.
 Those options are targeted at running nose tests directly from within the
 Django management system (e.g. django-admin).

=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,11 @@
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	set -e; \
 	for python in $(shell pyversions -r); do \
-	  $$python /usr/bin/django-admin test --settings=testapp.settings --pythonpath=. ; \
+	  PYTHON=$$python ./runtests.sh; \
 	done
 endif
+
+.PHONY: override_dh_auto_install
+override_dh_auto_install:
+	dh_auto_install
+	sed -i 's/Metadata-Version: 1\.0/Metadata-Version: 1\.1/' debian/python-django-nose/usr/lib/python2.*/*-packages/django_nose-0.1.3.egg-info/PKG-INFO

=== debian/watch ===
version=3
opts=filenamemangle=s/.*\/v([\d\.]+)\.tar\.gz/django-nose-$1\.tar\.gz/ \
http://githubredir.debian.net/github/jbalogh/django-nose /github/jbalogh/django-nose/v([\d\.]+)\.tar\.gz

## django-nose 1.1

=== debian/changelog ===
django-nose (1.1-1ubuntu1) quantal; urgency=low

  * Merge from Debian Unstable (LP: #1020130). Remaining Changes:
    - Convert to dh_python2

 -- Vibhav Pant <vibhavp@gmail.com>  Mon, 02 Jul 2012 20:24:15 +0530

django-nose (1.1-1) unstable; urgency=low

  * New upstream release.
  * Make temporary Metadata-Version fix more generic for future
    versions.
  * Bump Standards version to 3.9.3.
  * Use BSD-django-nose as license name in d/copyright.
  * Change order of my name.
  * Add email addresses to authors in d/copyright.
  * Use PyPi URL in d/watch.

 -- Michael Fladischer <FladischerMichael@fladi.at>  Mon, 04 Jun 2012 19:28:30 +0200

django-nose (0.1.3-1ubuntu1) precise; urgency=low

  * Convert to dh_python2. 

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 13 Apr 2012 15:16:33 -0400

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: django-nose
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Fladischer Michael <FladischerMichael@fladi.at>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Uploaders: Michael Fladischer <FladischerMichael@fladi.at>
 Build-Depends: debhelper (>= 7.0.50~),
-               python-all (>= 2.5),
+               python-all (>= 2.6.6-3~),
                python-django (>= 1.2),
                python-django-south,
                python-nose,
                python-setuptools,
-               python-support
-Standards-Version: 3.9.2
-XS-Python-Version: >= 2.5
+Standards-Version: 3.9.3
+X-Python-Version: >= 2.5
 Homepage: http://pypi.python.org/pypi/django-nose/
 Vcs-Svn: svn://svn.debian.org/python-modules/packages/django-nose/trunk/
 Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/django-nose/trunk/

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #export DH_VERBOSE=1
 
 %:
-	dh  $@
+	dh  $@ --with python2
 
 .PHONY: override_dh_auto_test
 override_dh_auto_test:
@@ -19,4 +19,4 @@
 .PHONY: override_dh_auto_install
 override_dh_auto_install:
 	dh_auto_install
-	sed -i 's/Metadata-Version: 1\.0/Metadata-Version: 1\.1/' debian/python-django-nose/usr/lib/python2.*/*-packages/django_nose-0.1.3.egg-info/PKG-INFO
+	sed -i 's/Metadata-Version: 1\.0/Metadata-Version: 1\.1/' debian/python-django-nose/usr/lib/python2.*/*-packages/django_nose-*.egg-info/PKG-INFO

## django-nose 1.2

=== debian/changelog ===
django-nose (1.2-1) unstable; urgency=low

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Michael Fladischer ]
  * New upstream release (Closes: #711360).
  * Switch to dh_python2.
  * Build-Depends on dh-python.
  * Bump Standards version to 3.9.5.
  * Bump Build-Depends on debhelper to >= 8.1.0 to satisfy build-arch
    and build-indep targets.
  * Drop versioned Build-Depends on python-all as no prior versions are
    available in Wheezy.
  * Drop versioned Depends and Build-Depends on python-django as no prior
    versions are available in Wheezy.
  * Use correct DEP5 format URL for d/copyright.
  * Rename BSD-django-nose to BSD-3-clause license.
  * Refresh patch.
  * Update years in d/copyright.

 -- Michael Fladischer <FladischerMichael@fladi.at>  Mon, 16 Dec 2013 13:56:11 +0100

=== debian/control ===
Source: django-nose
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Michael Fladischer <FladischerMichael@fladi.at>
Build-Depends: debhelper (>= 8.1.0~),
               dh-python,
               python-all,
               python-django,
               python-django-south,
               python-nose,
               python-setuptools
Standards-Version: 3.9.5
X-Python-Version: >= 2.5
Homepage: http://pypi.python.org/pypi/django-nose/
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/django-nose/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/django-nose/trunk/

Package: python-django-nose
Architecture: all
Depends: python-django, python-nose, ${misc:Depends}, ${python:Depends}
Description: Django test runner that uses python-nose
 python-django-nose integrates python-nose into Django test runner by
 extending the Django management CLI with nose-related options.
 Those options are targeted at running nose tests directly from within the
 Django management system (e.g. django-admin).

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #export DH_VERBOSE=1
 
 %:
-	dh  $@ --with python2
+	dh $@ --with=python2
 
 .PHONY: override_dh_auto_test
 override_dh_auto_test:

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/d/django-nose/django-nose-([\d\.]+)\.tar\.gz

## django-nose 1.4.1

=== debian/changelog ===
django-nose (1.4.1-1) unstable; urgency=low

  * New upstream release.

 -- Michael Fladischer <fladi@debian.org>  Mon, 06 Jul 2015 11:00:42 +0200

django-nose (1.4-1) unstable; urgency=medium

  * New upstream release.
  * Use github repository for uscan.
  * Bump Standards-Version to 3.9.6.
  * Add gawk to Build-Depends because it is required by runtests.sh.
  * Refresh runtests.patch.
  * Use correct Python version to determine tests to run in
    runtests.patch.
  * Remove PHONY target declarations from d/rules.
  * Use only one for loop to run the tests for all requested Python versions.
  * Use distinctive description for python3 package.
  * Line-wrap Depends fields for easier reading.
  * Add X-Python3-Version for versions => 3.3.
  * Add DEP3 header to django17.patch.
  * Change my email address to fladi@debian.org.

 -- Michael Fladischer <fladi@debian.org>  Tue, 19 May 2015 08:41:05 +0200

django-nose (1.2-3) unstable; urgency=low

  * Fix Django 1.7 AppRegistryNotReady error, by calling django.setup() in
    tests. Closes: #763252.

 -- Brian May <bam@debian.org>  Mon, 29 Sep 2014 11:40:22 +1000

django-nose (1.2-2) unstable; urgency=low

  * Python 3 package.
  * Disable django-south in tests. Closes: #755665.

 -- Brian May <bam@debian.org>  Wed, 13 Aug 2014 13:15:21 +1000

=== debian/control ===
Source: django-nose
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Michael Fladischer <fladi@debian.org>,
 Brian May <bam@debian.org>
Build-Depends: debhelper (>= 8.1.0~),
               dh-python,
               gawk,
               python-all,
               python-django,
               python-nose,
               python-setuptools,
               python3-all,
               python3-django,
               python3-nose,
               python3-setuptools
Standards-Version: 3.9.6
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.3
Homepage: http://pypi.python.org/pypi/django-nose/
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/django-nose/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/django-nose/trunk/

Package: python-django-nose
Architecture: all
Depends: python-django,
         python-nose,
         ${misc:Depends},
         ${python:Depends}
Description: Django test runner that uses python-nose
 python-django-nose integrates python-nose into Django test runner by
 extending the Django management CLI with nose-related options.
 Those options are targeted at running nose tests directly from within the
 Django management system (e.g. django-admin).

Package: python3-django-nose
Architecture: all
Depends: python-django,
         python-nose,
         ${misc:Depends},
         ${python:Depends}
Description: Django test runner that uses python-nose (Python3 version)
 python-django-nose integrates python-nose into Django test runner by
 extending the Django management CLI with nose-related options.
 Those options are targeted at running nose tests directly from within the
 Django management system (e.g. django-admin).
 .
 This package contains the Python 3 version of the library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export PYBUILD_NAME=django-nose

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with=python2,python3 --buildsystem=pybuild

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	set -e; \
	for python in $(shell pyversions -r) $(shell py3versions -r); do \
	  PYTHON=$$python ./runtests.sh; \
	done
endif

## django-nose 1.4.3

=== debian/changelog ===
django-nose (1.4.3-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.
  * Add patch to disable tests that use REUSE_DB as they are broken.

 -- Michael Fladischer <fladi@debian.org>  Thu, 07 Jan 2016 13:03:39 +0100

django-nose (1.4.2-2) unstable; urgency=medium

  * Fix python3 depends. Closes: #803005.

 -- Brian May <bam@debian.org>  Mon, 26 Oct 2015 09:48:11 +1100

django-nose (1.4.2-1) unstable; urgency=medium

  * New upstream release.
  * Refresh runtests.patch.
  * Add 0003-Remove-unnecessary-dependency-on-dj_database_url.patch to remove
    test dependency on dj_database_url module.
  * Bump debhelper compatibility and version to 9.
  * Initialize git-dpm.
  * Update Vcs fields for git migration.

 -- Michael Fladischer <fladi@debian.org>  Fri, 16 Oct 2015 16:45:04 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Michael Fladischer <fladi@debian.org>,
  Brian May <bam@debian.org>
-Build-Depends: debhelper (>= 8.1.0~),
+Build-Depends: debhelper (>= 9),
                dh-python,
                gawk,
                python-all,
@@ -19,15 +19,12 @@
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.3
 Homepage: http://pypi.python.org/pypi/django-nose/
-Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/django-nose/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/django-nose/trunk/
+Vcs-Git: git://anonscm.debian.org/python-modules/packages/django-nose.git
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/django-nose.git
 
 Package: python-django-nose
 Architecture: all
-Depends: python-django,
-         python-nose,
-         ${misc:Depends},
-         ${python:Depends}
+Depends: ${misc:Depends}, ${python:Depends}
 Description: Django test runner that uses python-nose
  python-django-nose integrates python-nose into Django test runner by
  extending the Django management CLI with nose-related options.
@@ -36,10 +33,7 @@
 
 Package: python3-django-nose
 Architecture: all
-Depends: python-django,
-         python-nose,
-         ${misc:Depends},
-         ${python:Depends}
+Depends: ${misc:Depends}, ${python3:Depends}
 Description: Django test runner that uses python-nose (Python3 version)
  python-django-nose integrates python-nose into Django test runner by
  extending the Django management CLI with nose-related options.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export PYBUILD_NAME=django-nose

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with=python2,python3 --buildsystem=pybuild

override_dh_auto_test:
	dh_auto_test -- --system=custom --test-args="PYTHON={interpreter} ./runtests.sh"

## django-nose 1.4.4

=== debian/changelog ===
django-nose (1.4.4-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed homepage (https)

  [ Thomas Goirand ]
  * Team upload.
  * New upstream release:
    - Has compat for Django 1.10 (Closes: #828652).
    - Rebased patches.
  * Standards-Version: 3.9.8 (no change).
  * Added a debian/gbp.conf.
  * Ran wrap-and-sort -t -a.
  * Added extend-diff-ignore = "^[^/]*[.]egg-info/" in d/s/options.

 -- Thomas Goirand <zigo@debian.org>  Tue, 19 Jul 2016 11:59:11 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Michael Fladischer <fladi@debian.org>,
- Brian May <bam@debian.org>
+           Brian May <bam@debian.org>,
 Build-Depends: debhelper (>= 9),
                dh-python,
                gawk,
@@ -14,17 +14,18 @@
                python3-all,
                python3-django,
                python3-nose,
-               python3-setuptools
-Standards-Version: 3.9.6
+               python3-setuptools,
+Standards-Version: 3.9.8
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.3
-Homepage: http://pypi.python.org/pypi/django-nose/
-Vcs-Git: git://anonscm.debian.org/python-modules/packages/django-nose.git
+Homepage: https://pypi.python.org/pypi/django-nose/
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/django-nose.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/django-nose.git
 
 Package: python-django-nose
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}
+Depends: ${misc:Depends},
+         ${python:Depends},
 Description: Django test runner that uses python-nose
  python-django-nose integrates python-nose into Django test runner by
  extending the Django management CLI with nose-related options.
@@ -33,7 +34,8 @@
 
 Package: python3-django-nose
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}
+Depends: ${misc:Depends},
+         ${python3:Depends},
 Description: Django test runner that uses python-nose (Python3 version)
  python-django-nose integrates python-nose into Django test runner by
  extending the Django management CLI with nose-related options.

## django-nose 1.4.5

=== requirements.txt ===
#
# Requirements for running django-nose testapp
#

# Latest Django
Django>=1.11,<2.0

# This project
-e .

# Load database config from environment
dj-database-url==0.4.2

# Packaging
wheel==0.29.0
twine==1.9.1

# PEP8, PEP257, and static analysis
flake8==3.4.1
flake8-docstrings==1.1.0

# Code coverage
coverage==4.4.1

# Documentation
Sphinx==1.6.3

# Packaging Linters
check-manifest==0.35
pyroma==2.2

# Multi-env test runner
tox==2.7.0

# Better interactive debugging
gnureadline==6.3.3
ipython==5.4.1
ipdb==0.10.3
ipdbplugin==1.4.5

=== debian/changelog ===
django-nose (1.4.5-1) unstable; urgency=low

  [ Thomas Goirand ]
  * Refresh patches after git-dpm to gbp pq conversion

  [ Michael Fladischer ]
  * New upstream release.
  * Refresh patches for 1.4.5.
  * Bump Standards-Version to 4.1.1.
  * Add python(3)-django to Depends.
  * Use https:// for copyright-format 1.0 URL.
  * Add patch to prevent installation of testapp package.

 -- Michael Fladischer <fladi@debian.org>  Tue, 17 Oct 2017 20:33:20 +0200

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                python3-django,
                python3-nose,
                python3-setuptools,
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.3
 Homepage: https://pypi.python.org/pypi/django-nose/
@@ -26,6 +26,7 @@
 Architecture: all
 Depends: ${misc:Depends},
          ${python:Depends},
+         python-django
 Description: Django test runner that uses python-nose
  python-django-nose integrates python-nose into Django test runner by
  extending the Django management CLI with nose-related options.
@@ -36,6 +37,7 @@
 Architecture: all
 Depends: ${misc:Depends},
          ${python3:Depends},
+         python3-django
 Description: Django test runner that uses python-nose (Python3 version)
  python-django-nose integrates python-nose into Django test runner by
  extending the Django management CLI with nose-related options.

## django-nose 1.4.6

=== requirements.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 #
 
 # Latest Django
-Django>=1.11,<2.0
+Django>=2.0,<2.1
 
 # This project
 -e .

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -W -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/django-nose.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/django-nose.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/django-nose"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/django-nose"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
django-nose (1.4.6-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

 -- Sandro Tosi <morph@debian.org>  Fri, 10 Jun 2022 14:36:39 -0400

django-nose (1.4.6-2.1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Thomas Goirand ]
  * Team upload.
  * Removed Python 2 support.

 -- Thomas Goirand <zigo@debian.org>  Thu, 25 Jul 2019 04:46:27 +0200

django-nose (1.4.6-1) unstable; urgency=low

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field

  [ Michael Fladischer ]
  * New upstream release.
  * Refresh patches.
  * Enable autopkgtest-pkg-python testsuite.
  * Bump debhelper compatibility and version to 11.
  * Bump Standards-Version to 4.2.1.
  * Run wrap-and-sort -bast to reduce diff size of future changes.
  * Install README.rst in both binary packages.

 -- Michael Fladischer <fladi@debian.org>  Fri, 26 Oct 2018 16:16:38 +0200

=== debian/control ===
Source: django-nose
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Michael Fladischer <fladi@debian.org>,
 Brian May <bam@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 gawk,
 python3-all,
 python3-django,
 python3-nose,
 python3-setuptools,
Standards-Version: 4.2.1
Homepage: https://pypi.python.org/pypi/django-nose/
Vcs-Git: https://salsa.debian.org/python-team/packages/django-nose.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/django-nose
Testsuite: autopkgtest-pkg-python

Package: python3-django-nose
Architecture: all
Depends:
 python3-django,
 ${misc:Depends},
 ${python3:Depends},
Description: Django test runner that uses python-nose (Python3 version)
 python-django-nose integrates python-nose into Django test runner by
 extending the Django management CLI with nose-related options.
 Those options are targeted at running nose tests directly from within the
 Django management system (e.g. django-admin).
 .
 This package contains the Python 3 version of the library.

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 #export DH_VERBOSE=1
 
 %:
-	dh $@ --with=python2,python3 --buildsystem=pybuild
+	dh $@ --with=python3 --buildsystem=pybuild
 
 override_dh_auto_test:
 	dh_auto_test -- --system=custom --test-args="PYTHON={interpreter} ./runtests.sh"
